From: Sophie Brun <sophie@offensive-security.com>
Date: Wed, 6 Apr 2022 15:34:26 +0200
Subject: Add information about different commands

---
 wifipumpkin3/__main__.py             | 2 +-
 wifipumpkin3/core/common/console.py  | 4 ++--
 wifipumpkin3/core/common/terminal.py | 5 +++++
 wifipumpkin3/extensions/info.py      | 2 +-
 4 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/wifipumpkin3/__main__.py b/wifipumpkin3/__main__.py
index 2b517bb..a7b672b 100644
--- a/wifipumpkin3/__main__.py
+++ b/wifipumpkin3/__main__.py
@@ -158,7 +158,7 @@ def main():
     config.set("accesspoint", "status_ap", False)
 
     parser = argparse.ArgumentParser(
-        description="wifipumpkin3 - Powerful framework for rogue access point attack."
+        description="wifipumpkin3 - Powerful framework for rogue access point attack. See: https://wifipumpkin3.github.io/docs/getting-started#usage"
     )
     parser.add_argument(
         "-i", dest="interface", help="set interface for create AP", default=""
diff --git a/wifipumpkin3/core/common/console.py b/wifipumpkin3/core/common/console.py
index 3c3d10c..09c5ed0 100644
--- a/wifipumpkin3/core/common/console.py
+++ b/wifipumpkin3/core/common/console.py
@@ -312,14 +312,14 @@ class PumpkinShell(Qt.QObject, ConsoleUI):
         logger = self.logger_manager.get(args)
         if logger != None:
             return logger.setIgnore(True)
-        print(display_messages("Logger class not found.", error=True))
+        print(display_messages("Logger class \"{}\" not found. \"ignore\" requires a correct name of logger class".format(args), error=True))
 
     def do_restore(self, args):
         """core: the message logger will be restored"""
         logger = self.logger_manager.get(args)
         if logger != None:
             return logger.setIgnore(False)
-        print(display_messages("Logger class not found.", error=True))
+        print(display_messages("Logger class \"{}\" not found. \"restore\" requires a correct name of logger class".format(args), error=True))
 
     def do_stop(self, args):
         """ap: stop access point service"""
diff --git a/wifipumpkin3/core/common/terminal.py b/wifipumpkin3/core/common/terminal.py
index cb2901d..fa012f0 100644
--- a/wifipumpkin3/core/common/terminal.py
+++ b/wifipumpkin3/core/common/terminal.py
@@ -169,6 +169,11 @@ class ConsoleUI(ConsoleUIBase):
 
     def do_search(self, args):
         """core: search modules by name"""
+        print(
+            display_messages(
+                "search will be implemented in the future", info=True
+                )
+        )
         pass
 
     def do_use(self, args):
diff --git a/wifipumpkin3/extensions/info.py b/wifipumpkin3/extensions/info.py
index 41db877..bb9b010 100644
--- a/wifipumpkin3/extensions/info.py
+++ b/wifipumpkin3/extensions/info.py
@@ -136,7 +136,7 @@ class Info(ExtensionUI):
             pass
         print(
             display_messages(
-                "the parameter {} was not found.".format(
+                "the parameter \"{}\" was not found. \"info\" requires the proxy/plugin name".format(
                     setcolor(args, color="orange")
                 ),
                 error=True,
